/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;


@Getter
@Setter
public class HariLiburDto {
    
    private Integer kdHariLibur;
    
    @NotNull(message = "harilibur.namaharilibur.notnull")
    private String namaHariLibur;
    
    @NotNull(message = "harilibur.reportdisplay.notnull")
    private String reportDisplay;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    //@NotNull(message = "harilibur.kddepartemen.notnull")
    private String kdDepartemen;
    
    @NotNull(message = "harilibur.statusenabled.notnull")
    private Boolean statusEnabled;
    
    private String noRec;
    
    private Integer version;

    private Integer isAnnually;

}
